Last updated: September 23, 2026
Update LDAP Directory
Update LDAP Directory.
Request
PUT
https://superadminuser.miniorange.in/services/api/idps/v1/ldap/:uuidAuthentication headers (required on every request)
- Customer-Key
- Super Admin ID for the actor account.
- Timestamp
- Milliseconds since epoch (e.g. Date.now()).
- Authorization
- SHA-512 of superAdminId + timestamp + apiKey.
- X-Target-Customer-Id
- Customer tenant the Super Admin is acting on.
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| uuid | String | Required | Path parameter |
| displayName | String | Optional | |
| identifier | String | Optional | |
| domainMapping | String | Optional | |
| showIdpToUsers | String | Optional | |
| endUserLogin | String | Optional | |
| isDefault | String | Optional | |
| connection | String | Optional | |
| userAttributes | String | Optional | |
| authentication | String | Optional |
Request body
{
"displayName": "Corporate LDAP",
"identifier": "corporate_ldap",
"domainMapping": "",
"showIdpToUsers": false,
"endUserLogin": true,
"isDefault": false,
"connection": {
"urlPrefix": "ldap://",
"gatewayUrl": "ldap.example.com:389",
"gatewayHost": "miniorange",
"isGatewayInstalled": false,
"dirType": "Active Directory",
"bindAccDn": "cn=admin,dc=example,dc=com",
"bindAccPass": "secret",
"searchBase": "dc=example,dc=com",
"searchFilter": "(objectClass=person)",
"allowChangePassword": false,
"authenticateAdminFromLdap": false
},
"userAttributes": {
"usernameAttribute": "uid",
"emailAttribute": "mail",
"firstNameAttribute": "givenName",
"lastNameAttribute": "sn",
"isSendConfiguredAttributes": false,
"attributeMapping": []
},
"authentication": {
"isActivated": true,
"showIdpToUsers": false,
"isFallbackEnabled": false,
"syncUserInMiniorange": false,
"authenticateAdminFromLdap": false
}
}
No sample response is documented for this endpoint yet. Use Try it on the right to see the live response from your tenant.